<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('asignaciones', function (Blueprint $table) {
            $table->bigIncrements('asig_id');            
            $table->integer('proy_id'); 
            $table->string('asig_proyNombre'); 
            $table->integer('tieq_id')->nullable();
            $table->string('asig_TipoEquipo');     
            $table->string('asig_modelo');
            $table->integer('equi_id');
            $table->string('asig_numeroserie');
            $table->string('asig_area');
            $table->string('asig_usuario');
            $table->string('asig_DNI');
            $table->string('asig_accesorios');
            $table->string('asig_medio');
            $table->string('asig_fechaRegistro');
            $table->string('asig_fechaFin')->nullable();
            $table->string('asig_observaciones');
            $table->string('asig_lote');
            $table->string('asig_estado')->nullable();
            $table->string('asig_observacionesInternas');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('asignacion');
    }
};
